package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmPrintStatement extends DmStatementImpl {
   protected SQLExpr string;

   public DmPrintStatement() {
      this.dbType = DbType.dm;
   }

   public SQLExpr getString() {
      return this.string;
   }

   public void setString(SQLExpr string) {
      this.string = string;
   }

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }
}
